package models

type Config struct {
	LogLevel                 string `mapstructure:"LOGLEVEL"`
	Prod                     bool   `mapstructure:"PRODUCION"`
	Port                     string `mapstructure:"PORT"`
	APIKey                   string `mapstructure:"APIKEY"`
	EventName                string `mapstructure:"EVENTNAME"`
	CurrencySymbol           string `mapstructure:"CURRENCYSYMBOL"`
	CurrencyIdentifier       string `mapstructure:"CURRENCYIDENTIFIER"`
	CardSubtitle             string `mapstructure:"CARD_SUBTITLE"`
	CardBarcodeFormat        string `mapstructure:"CARD_BARCODEFORMAT"`
	CardBarcodePrefix        string `mapstructure:"CARD_BARCODEPREFIX"`
	SponsoringReceiptMinimum string `mapstructure:"SPONSORING_RECEIPTMINIMUM"`
	SponosringDisclaimer     string `mapstructure:"SPONSORING_DISCLAIMER"`
	SponsoringBarcodeFormat  string `mapstructure:"SPONSORING_BARCODEFORMAT"`
	SponsoringBarcodePrefix  string `mapstructure:"SPONSORING_BARCODEPREFIX"`
	CertificateFooter        string `mapstructure:"CERTIFICATE_FOOTER"`
	GotenbergBaseUrl         string `mapstructure:"GOTENBERG_BASEURL"`
	RedisAddr                string `mapstructure:"REDIS_ADDR"`
	SepaBic                  string `mapstructure:"SEPA_BIC"`
	SepaName                 string `mapstructure:"SEPA_NAME"`
	SepaIban                 string `mapstructure:"SEPA_IBAN"`
}
